<?php

namespace CookidooShoppingAdvanced;

use Nadar\Stemming\Stemm;

class Normalizer  {
    public static function normalize(string $text) {
        $cleaned = preg_replace('/[^\p{L}0-9 ]/u', '', $text);
        $trimmed = preg_replace('/\s+/', ' ', $cleaned);
        return Stemm::stemPhrase($trimmed, 'de');
    }
}