<?php
namespace CookidooShoppingAdvanced\Models;

class Category implements \JsonSerializable {
    private string $name;

    public function __construct(string $name)
    {
        $this->name = $name;
    }

    public function getName(): string {
        return $this->name;
    }

    public function jsonSerialize() {
        return [
            'name' => $this->name,
        ];
    }
}